<?php

/**
 * $Horde: watson/config/sources.php.dist,v 1.0 2007/08/20 22:05:59 jan Exp $
 *
 * This file is where you specify url parameters, driver, cache duration
 * for channels
 *
 * Properties that can be set for each channel:
 *
 * domain: The hostname of the channel's source page.
 * 
 * file: The file from where schedule is loaded. 
 *
 * parameters: Parameters for file.
 *            
 * DATE: Parameter for file. You can choose your own date format
 *       for this parameter.
 *
 * cache_expires: Cache duration in seconds.
 * 
 * driver: Name of the subclass (lib/Driver/driver.php), which parses the schedule's source page. 
 *         Currently avalible drivers: rtvslo
 *                                     hrt
 *                                     rai
 *                                     mediaset
 *                                     rtl
 *                                     mtvadrija
 *
 *
 * Example: 
 * Our schedule source page is on: 
 * http://www.example.exa/file.php?param1=tralala&date=2004/04/05&param2=1
 * And we will set cache duration for 1 hour.
 *
 * The correct configuration would be: 
 * $chan['Channel name'] = array(
 *     'domain' => 'www.example.exa',
 *     'file' => 'file.php',
 *     'cache_expires' => 3600,
 *     'DATE' => array (
 *               'date' => 'Y/m/d'
 *               ),
 *     'parameters' => array(
 *                     'param1' => 'tralala',
 *                     'param2' => '1'
 *                      ),
 *     'driver' => 'driver'
 *     );
 */    

$chan['TV Slovenija 1'] = array(
    'domain' => 'www.rtvslo.si',
    'file' => 'modload.php',
    'cache_expires' => 20,
    'DATE' => array (
              'izbran_dan'=> 'Y-m-d'
              ),
    'parameters' => array(
                'izbran_program' => 1,
                'c_mod' => 'rwatson-v2',
                's_content' => 'xml'
                ),
    'xml' => array(
                'channel_root'=> 'watson',
                'channel_xml' => 'program',
                'date_xml' => 'datum',
                'time_xml' => 'ura',
                'title_xml' => 'naslov',
                'description_xml' => false,
                'next_xml' => false
                ),
    'driver' => 'rtvslo'
    ); 

$chan['TV Slovenija 2'] = array (
    'domain' => 'www.rtvslo.si',
    'file' => 'modload.php',
    'cache_expires' => 20,
    'DATE' => array (
              'izbran_dan'=> 'Y-m-d'
              ),
    'parameters' => array(
                'izbran_program' => 2,
                'c_mod' => 'rwatson-v2',
                's_content' => 'xml'
                ),
    'xml' => array(
                'channel_root'=> 'watson',
                'channel_xml' => 'program',
                'date_xml' => 'datum',
                'time_xml' => 'ura',
                'title_xml' => 'naslov',
                'description_xml'=> false,
                'next_xml'=> false
                ),
    'driver' => 'rtvslo' 
    ); 

$chan['TV Koper'] = array (
       'domain' => 'www.rtvslo.si',
       'file' => 'modload.php',
	    'cache_expires' => 20,
	    'DATE' => array (
                   'izbran_dan'=> 'Y-m-d'
              ),
            'parameters' => array(
                        'izbran_program' => 6,
                        'c_mod' => 'rwatson-v2',
                        's_content' => 'xml'
                        ),

             'xml' => array(
                        'channel_root'=> 'watson',
                        'channel_xml' => 'program',
                        'date_xml' => 'datum',
                        'time_xml' => 'ura',
                        'title_xml' => 'naslov',
                        'description_xml' => 'opis',
                        'next_xml' => 'napovednik'
                        ),
            'driver' => 'rtvslo' 
            );

$chan['TV3'] = array (
    'domain' => 'www.rtvslo.si',
    'file' => 'modload.php',
    'cache_expires' => 20,
    'DATE' => array (
              'izbran_dan'=> 'Y-m-d'
              ),
    'parameters' => array(
                'izbran_program' => 8,
                'c_mod' => 'rwatson-v2',
                's_content' => 'xml'
                ),
    'xml' => array(
                'channel_root'=> 'watson',
                'channel_xml' => 'program',
                'date_xml' => 'datum',
                'time_xml' => 'ura',
                'title_xml' => 'naslov',
                'description_xml'=>false,
                'next_xml'=>false
                ),
    'driver' => 'rtvslo' 
    ); 
$chan['POP TV'] = array (
    'domain' => 'www.rtvslo.si',
    'file' => 'modload.php',
    'cache_expires' => 20,
    'DATE' => array (
              'izbran_dan'=> 'Y-m-d'
              ),
    'parameters' => array(
                'izbran_program' => 9,
                'c_mod' => 'rwatson-v2',
                's_content' => 'xml'
                ),
    'xml' => array(
                'channel_root'=> 'watson',
                'channel_xml' => 'program',
                'date_xml' => 'datum',
                'time_xml' => 'ura',
                'title_xml' => 'naslov',
                'description_xml'=> false,
                'next_xml'=> false
                ),
    'driver' => 'rtvslo' 
    );

$chan['Kanal A'] = array (
    'domain' => 'www.rtvslo.si',
    'file' => 'modload.php',
    'cache_expires' => 20,
    'DATE' => array (
              'izbran_dan'=> 'Y-m-d'
              ),
    'parameters' => array(
                'izbran_program' => 10,
                'c_mod' => 'rwatson-v2',
                's_content' => 'xml'
                ),
    'xml' => array(
                'channel_root'=> 'watson',
                'channel_xml' => 'program',
                'date_xml' => 'datum',
                'time_xml' => 'ura',
                'title_xml' => 'naslov',
                'description_xml'=> false,
                'next_xml'=> false
                ),
    'driver' => 'rtvslo' 
    );

$chan['Hrt 1'] = array (
    'domain' => 'www.hrt.hr',
    'file' => 'rawatson/format/xmltv.xml',
    'cache_expires' => 0,
    'parameters' => array(
                'mreza' => 2,
                'krat' => 'HTV1'
                ),
    'xml' => array(
                'channel_root'=> 'programme',
                'channel_xml' => 'display-name',
                'date_xml' => false,
                'time_xml' => 'start',
                'title_xml' => 'title'
                ),
    'driver' => 'hrt' 
    );

$chan['Hrt 2'] = array (
    'domain' => 'www.hrt.hr',
    'file' => 'rawatson/format/xmltv.xml',
    'cache_expires' => 0,
    'parameters' => array(
                'mreza' => 3,
                'krat' => 'HTV2'
                ),
    'xml' => array(
                'channel_root'=> 'programme',
                'channel_xml' => 'display-name',
                'date_xml' => false,
                'time_xml' => 'start',
                'title_xml' => 'title'
                ),
    'driver' => 'hrt' 
    );

$chan['RAI 1'] = array (
    'domain' => 'www.rai.it',
    'file' => 'dl/portal/guidatv',
    'cache_expires' => 1,
    'parameters' => array(
                 'test' => '1'
                 ),
    'driver' => 'rai' 
    );

$chan['RAI 2'] = array (
    'domain' => 'www.rai.it',
    'file' => 'dl/portal/guidatv',
    'cache_expires' => 1,
    'parameters' => array(
                 'test' => '1'
                 ),
    'driver' => 'rai' 
    );

$chan['RAI 3'] = array (
    'domain' => 'www.rai.it',
    'file' => 'dl/portal/guidatv',
    'cache_expires' => 1,
    'parameters' => array(
                 'test' => '1'
                 ),
    'driver' => 'rai' 
    );

$chan['Canale 5'] = array (
    'domain' => 'www.mediaset.it',
    'file' => 'palinsesto/',
    'cache_expires' => 2,
    'driver' => 'mediaset' 
    ); 

$chan['Italia 1'] = array (
    'domain' => 'www.mediaset.it',
    'file' => 'palinsesto/',
    'cache_expires' => 2,
    'driver' => 'mediaset' 
    );

$chan['Rete 4'] = array (
    'domain' => 'www.mediaset.it',
    'file' => 'palinsesto/',
    'cache_expires' => 2,
    'driver' => 'mediaset' 
    ); 

$chan['RTL'] = array (
    'domain' => 'www.rtl.hr',
    'file' => 'rawatson',
    'cache_expires' => 2,
    'driver' => 'rtl' 
    );

$chan['MTV Adrija'] = array (
    'domain' => 'www.mtvadria.com',
    'file' => 'schedule.php',
    'cache_expires' => 2,
    'DATE' => array (
           'date' => 'timestamp'
           ),
    'driver' => 'mtvadrija' 
    );  