<?php
/**
 * $Horde: jonah/content_edit.php,v 1.8 2007/06/27 17:23:48 jan Exp $
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
@define('WATSON_BASE', dirname(__FILE__));
require_once WATSON_BASE . '/lib/base.php';
require_once WATSON_BASE . '/config/sources.php';

$title = _("Current TV table");

if (($channels = Util::getFormData('display_chan')) !== null) {
    $prefs->setValue('display_chan', serialize($channels));
} else {
    $channels = unserialize($prefs->getValue('display_chan'));
    if (empty($channels)) {
        $channels = array();
    }
}

$numChannels = count($channels);

require_once 'Horde/Variables.php';
require_once 'Horde/UI/Tabs.php';

Horde::addScriptFile('prototype.js', 'horde', true);

require WATSON_TEMPLATES . '/common-header.inc';
require WATSON_TEMPLATES . '/menu.inc';
require WATSON_TEMPLATES . '/panel.inc';

//Current time
$times = date('H:i');

$print = '<table id="timetable2">';
$print .= '<tr><td>' . _("Channel") . '</td><td>' . _("Start") . '</td><td>' . _("Title") . '</td><td>' . _("End") . '</td></tr>';

foreach ($channels as $channel) {
    $date = date('Y-m-d');
    $schedule = Watson::factory($channel, $date);
    $result[$channel] = $schedule->process();

    $j=0;
    $temp = array();
    foreach ($result[$channel] as $time => $title) {
        if ($time != 'channel' && $time !='date' && $time !='forecast' && $time !='description') {
            $temp[$j][$time] = $result[$channel][$time];
            $j++;
        }
    }

    $last = key($temp[count($temp) - 1]);
    $temp[]['/'] = ''; 
    $timeSFlag = true;
    $timeEFlag = true;

    //Titles per channel
    $numTitles = 3;

    for ($j=1; $j<count($temp); $j++) {
        $start = key($temp[$j-1]);
        $end = strtotime(key($temp[$j]));
        $title = ucfirst(strtolower($temp[$j-1][$start]));
        $start = strtotime($start);

        if ($start > strtotime('12:00')) {
            $timeSFlag = false;
        }

        if ($end > strtotime('12:00')) {
            $timeEFlag = false;
        }

        if ($timeSFlag == false && $start < strtotime('6:00')) {
            $start = $start + 3600 * 24;
        }

        if ($timeEFlag == false && $end < strtotime('6:00')) {
            $end = $end + 3600 * 24;
        }

        $_timeS = strtotime($times);

        if ($end > $_timeS) {
            $print .= '<tr><td class="channel">' . $channel . '</td>'; 
            $start = date($GLOBALS['prefs']->getValue('twentyFour') ? 'G:i' : 'g:ia', $start);
            $end = date($GLOBALS['prefs']->getValue('twentyFour') ? 'G:i' : 'g:ia', $end);
            $print .= '<td class="time">' . $start . '</td><td class="title">' . $title . '</td><td class="time">' . $end . '</td></tr>';
            $numTitles --;
            if ($numTitles == 0) {
                break;
            }
        }
    }

}

$print .= '</table>';

echo $print;

require $registry->get('templates', 'horde') . '/common-footer.inc';