<?php
/**
 * $Horde: jonah/content_edit.php,v 1.8 2007/06/27 17:23:48 jan Exp $
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
@define('WATSON_BASE', dirname(__FILE__));
require_once WATSON_BASE . '/lib/base.php';

require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';

$title = _("TV Shows timeline");
$vars = Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title);

$form->addVariable(_("Channel"), 'channel', 'enum', true, false, '', array(Watson::getChannelSelection(), true));
$v = $form->addVariable(_("Day"), 'date', 'monthdayyear', true);
$v->setDefault(date('Y-m-d'));

require WATSON_TEMPLATES . '/common-header.inc';
require WATSON_TEMPLATES . '/menu.inc';

$form->renderActive(null, null, null, 'post');

if ($form->validate()) {
    $i = $vars->get('date');
    $date = $i['year'] . '-' . $i['month'] . '-' . $i['day'];
    $watson = Watson::factory($vars->get('channel'), $i['year'] . '-' . $i['month'] . '-' . $i['day']);
    $result = $watson->process();
    print $watson->display($result);
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
