<?php

$block_name = _("Channel");

/**
 * This class extends Horde_Block:: to provide a list of deliverable internal
 * channels.
 *
 * $Horde: jonah/lib/Block/delivery.php,v 1.15 2007/01/02 12:48:22 jan Exp $
 *
 * Copyright 2004-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 *
 * @author  Jan Zagar <jan.zagar@siol.net>
 * @package Horde_Block
 */
 
class Horde_Block_watson_channel extends Horde_Block {

    var $_app = 'watson';

    function _params()
    {
        $params['channel'] = array('name'     => _("Channel"),
                                   'type'     => 'enum',
                                   'required' => false,
                                   'values'   => Watson::getChannelSelection());

        return $params;
    }

    function _title()
    {
        return $this->_params['channel'];
    }

    function _content()
    {
        $params = $this->_params['channel'];
        $date = date('Y-m-d');
        $schedule = Watson::factory($params, $date);
        if ($schedule === false) {
            return sprintf(_("Cannot retrive programs for channel '%s'"), $params);
        }

        $result = $schedule->process();

        return $schedule->display($result);
    }
}