<?php

$block_name = _('Current schedule gruped');

/**
 * This class extends Horde_Block:: to provide a list of deliverable internal
 * channels.
 *
 * $Horde: jonah/lib/Block/delivery.php,v 1.15 2007/01/02 12:48:22 jan Exp $
 *
 * Copyright 2004-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 *
 * @author  Jan Zagar <jan.zagar@siol.net>
 * @package Horde_Block
 */
class Horde_Block_watson_current2 extends Horde_Block {

    var $_app = 'watson';

    function _params()
    {
        $params['channels'] = array('name'     => _("Channel"),
                                    'type'     => 'multienum',
                                    'required' => true,
                                    'values'   => Watson::getChannelSelection());
        return $params;
    }

    function _title()
    {
        return _("Current schedule");
    }

    function _content()
    {
        $channels = isset($this->_params['channels']) ? $this->_params['channels'] : array();
        $numChannels = count($channels);
        $times = date('H:i');
        $print = '';

        foreach ($channels as $channel) {
            $date = date('Y-m-d');
            $schedule = Watson::factory($channel, $date);
            if ($schedule === false) {
                return sprintf(_("Cannot retrive programs for channel '%s'"), $params);
            }
            $result[$channel] = $schedule->process();

            $j=0;
            $temp = array();
            foreach ($result[$channel] as $time => $title) {
                if ($time != 'channel' && $time !='date') {
                    $temp[$j][$time] = $result[$channel][$time];
                    $j++;
                }
            }

            $last = key($temp[count($temp) - 1]);
            $temp[]['/'] = '';
            $timeSFlag = true;
            $timeEFlag = true;

            //Titles per channel
            $numTitles = 3;

            $print .= '<table id="current2">';
            $print .= '<tr><td class="channel" colspan="3">' . $channel . '</td></tr>';

            for ($j=1; $j<count($temp); $j++) {
                    $start = key($temp[$j-1]);
                    $end = strtotime(key($temp[$j]));
                    $title = ucfirst(strtolower($temp[$j-1][$start]));
                    $start = strtotime($start);

                    if ($start > strtotime('12:00')) {
                        $timeSFlag = false;
                    }

                    if ($end > strtotime('12:00')) {
                        $timeEFlag = false;
                    }

                    if ($timeSFlag == false && $start < strtotime('6:00')) {
                        $start = $start + 3600 * 24;
                    }

                    if ($timeEFlag == false && $end < strtotime('6:00')) {
                        $end = $end + 3600 * 24;
                    }

                    $_timeS = strtotime($times);

                    if ($end > $_timeS) {
                        $start = date($GLOBALS['prefs']->getValue('twentyFour') ? 'G:i' : 'g:ia', $start);
                        $end = date($GLOBALS['prefs']->getValue('twentyFour') ? 'G:i' : 'g:ia', $end);
                        $print .= '<tr><td class="time">' . $start . '</td><td class="title">' . $title . '</td><td class="time">' . $end . '</td></tr>';
                        $numTitles --;
                        if ($numTitles == 0) {
                            break;
                        }
                    }
                }
                $print .= '</table>';
        }

        return $print;
    }
}