<?php
/**
 * $Horde: 
 *
 * Driver for Watson.
 * Parses the source page and returns array.
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
class Watson_hrt extends Watson {

    function __construct($chan, $date = '')
    {
        $this->channel = $chan;
        $this->date = $date;
        $this->cache = $chan . $date;
    }

    function parse()
    {
        $this->date = $this->getDate($this->date, 'Y-n-j');
        $xml = $this->xmlSource();
        if ($xml instanceof PEAR_Error) {
            return $xml;
        }

        if ($xml) {
            require WATSON_BASE . '/config/sources.php';
            $chan_root = $chan[$this->channel]['xml']['channel_root'];
            $chan_xml = $chan[$this->channel]['xml']['channel_xml'];
            $date_xml = $chan[$this->channel]['xml']['date_xml'];
            $time_xml = $chan[$this->channel]['xml']['time_xml'];
            $title_xml = $chan[$this->channel]['xml']['title_xml'];

            if ($chan_root) {
                $schedules = $xml->getElementsByTagName($chan_root);
            } else {
                $schedules = false;
            }

            if ($chan_xml) {
                $chan = $xml->getElementsByTagName($chan_xml)->item(0)->nodeValue;
            } else {
                $chan = '';
            }

            if ($schedules) {

                foreach( $schedules as $schedule ) {

                    if ($time_xml) {
                        $time = $schedule->getAttribute($time_xml);
                        $time_tmp = strtotime($time);
                        $time = date('H:i', $time_tmp);
                        $today = date('Y-n-j', $time_tmp);
                        if ($today != $this->date) {
                            $time = false;
                        }
                    } else {
                        $time = '';
                    }

                    if ($title_xml) {
                        $titles = $schedule->getElementsByTagName($title_xml);
                        $title = $titles->item(0)->nodeValue;
                    } else {
                        $title = '';
                    }

                    if ($time && $title) {
                        $result[$time] = $title;
                    }

                }
            }

            if (empty($result)) {
                $result['Error'] = _("Timeline for this channel/day does not exist.");
            }

            $result['date'] = $this->date;
            $result['channel'] = $chan;

            return $result;
        }
    }
}
