<?php
/**
 * $Horde: watson/lib/Driver.php,v 1.15 2007/02/21 10:25:28 jan Exp $
 *
 * Driver for Watson.
 * Parses the source page and returns array.
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
class Watson_mediaset extends Watson {

    function __construct($chan, $date = '')
    {
        $this->channel = $chan;
        $this->date = $date;
        $this->cache = $chan . $date;
    }

    function parse()
    {
        $doc = $this->htmlSource();
        if ($doc instanceof PEAR_Error) {
            return $doc;
        }

        $tags = $doc->getElementsByTagName('div');

        foreach ($tags as $tag) {
            if ($tag->getAttribute('class') == 'palinsesto') {
                $cha = $tag->getElementsByTagName('h4')->item(0)->nodeValue;
                $times_titles = $tag->getElementsByTagName('tr');
                foreach ($times_titles as $time_title) {
                    $time = substr($time_title->nodeValue, 0, 5);
                    $title = substr($time_title->nodeValue, 5);
                    $result[$cha][$time] = $title;
                }
            }
        }

        if (empty($result[$this->channel])) {
            $result['Error'] = _("Timeline for this channel/day does not exist.");
        } else {
            $result = $result[$this->channel];
        }

        $result['channel'] = $this->channel;
        $result['date'] = date('Y-m-d');

        return $result;

    }
}

