<?php
/**
 * $Horde: watson/lib/Driver.php,v 1.15 2007/02/21 10:25:28 jan Exp $
 *
 * Driver for Watson.
 * Parses the source page and returns array.
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
class Watson_mtvadrija extends Watson  {

    function __construct($chan, $date = '')
    {
        $this->channel = $chan;
        $this->date = $date;
        $this->cache = $chan . $date;
    }

    function parse()
    {
        $doc = $this->htmlSource();
        if ($doc instanceof PEAR_Error) {
            return $doc;
        }

        $tags = $doc->getElementsByTagName('table');

        foreach ($tags as $tag) {
            if ($tag->getAttribute('class') == 'schedule') {
                $tmp = $tag->getElementsByTagName('td');
                foreach ($tmp as $temp) {
                    if ($temp->getAttribute('class') == 'time') {
                        $time[] = $temp->nodeValue;
                    } else {
                        $title_tmp = $temp->nodeValue;
                        if (!preg_match('/(^[0-9]{2}:[0-9]{2})|(^[0-9]{2}.[0-9]{2}.[0-9]{4})|(^[^A-Z0-9])/', $title_tmp)) {
                            if ($title_tmp) {
                                $title[] = $title_tmp;
                            }
                        }
                    }
                }
                break;
            }
        }

        if (is_array($time) && is_array($title) && count($time) == count($title)) {
            $result = array_combine($time, $title);
        } else {
            $result['Error'] = _("Timeline for this channel/day does not exist.");
        }

        $result['channel'] = $this->channel;
        $result['date'] = $this->date;

        return $result;

    }
}
