<?php
/**
 * $Horde: watson/lib/Driver.php,v 1.15 2007/02/21 10:25:28 jan Exp $
 *
 * Driver for Watson.
 * Parses the source page and returns array.
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
class Watson_rai extends Watson {

    function __construct($chan, $date = '')
    {
        $this->channel = $chan;
        $this->date = $date;
        $this->cache = $chan . $date;
    }

    function parameters()
    {
        require WATSON_BASE . '/config/sources.php';
        $domain = $chan[$this->channel]['domain'];
        $file = $chan[$this->channel]['file'];
        $parameters = '/' . $this->getDate($this->date, 'd-m-Y') . '.html';
        return 'http://' . $domain . '/' . $file . $parameters;
    }

    function parse() {

        $doc = $this->htmlSource();
        if ($doc instanceof PEAR_Error) {
            return $doc;
        }

        $tags = $doc->getElementsByTagName('li');

        foreach ($tags as $tag) {
            if ($tag->getAttribute('class') == 'bkg_P0' || $tag->getAttribute('class') == 'bkg_P1') {
                $time = $tag->getElementsByTagName('span')->item(0)->nodeValue;

                $title = $tag->nodeValue;
                if (isset($time) && $time != '-') {
                    $temp[][substr($time, 1)] = substr($title, 6);
                }
            }
        }

        $i = 0;
        $j = 0;
        if (isset($temp)) {
            for ($z = 0; $z < count($temp); $z++) {
                foreach ($temp[$z] as $time => $title) {
                    $chan = array ('', 'RAI 1', 'RAI 2', 'RAI 3');
                    if (intval($time) > 20) {
                        $i = 0;
                    }
                    if ((intval($time) == 6 || intval($time) == 7) && $i == 0) {
                        $j++;
                        $i = 1;
                    }
                    $chan = $chan[$j];
                    $result[$chan][$time] = $title;
                }
            }
            $result = $result[$this->channel];
        } else {
            $result['Error'] = _("Timeline for this channel/day does not exist.");
        }
        $result['channel'] = $this->channel;
        $result['date'] = $this->date;

        return $result;

    }
}
