<?php
/**
 * $Horde: watson/lib/Driver.php,v 1.15 2007/02/21 10:25:28 jan Exp $
 *
 * Driver for Watson.
 * Parses the source page and returns array.
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
class Watson_rtl extends Watson {

    function __construct($chan, $date = '')
    {
        $this->channel = $chan;
        $this->date = $date;
        $this->cache = $chan . $date;
    }

    function parameters()
    {
        require WATSON_BASE . '/config/sources.php';
        $domain = $chan[$this->channel]['domain'];
        $file = $chan[$this->channel]['file'];

        $time = strtotime($this->date);
        $now = strtotime(date('d-m-Y'));
        $r = ($time - $now) / 3600 / 24;
        if ($r < 0 || $r > 6) {
            $r = 0;
            $this->date = date('Y-m-d');
        }
        $parameters = '/' . $r . '/';

        return 'http://' . $domain . '/' . $file . $parameters;
    }

    function parse()
    {
        $doc = $this->htmlSource();
        if ($doc instanceof PEAR_Error) {
            return $doc;
        }

        $tags = $doc->getElementsByTagName('td');

        $att_time1 = 'padding: 3px 5px; background-color: #E5EDF8; font-weight: bold;';
        $att_time2 = 'padding: 3px 5px; background-color: #F1F6FA; font-weight: bold;';
        $att_title1 = 'padding: 3px 8px; background-color: #F1F6FA; width: 100%;';
        $att_title2 = 'padding: 3px 8px; background-color: #E5EDF8; width: 100%;';

        foreach ($tags as $tag) {
            if ($tag->getAttribute('valign') == 'top' &&
                ($tag->getAttribute('style') == $att_time1 || $tag->getAttribute('style') == $att_time2)) {
                $time[] = $tag->nodeValue;
            } elseif ($tag->getAttribute('valign') == 'top' &&
                ($tag->getAttribute('style') == $att_title1 || $tag->getAttribute('style') == $att_title2)) {
                if (!$tmp = @$tag->getElementsByTagName('a')->item(0)->nodeValue) { 
                    $tmp = @$tag->getElementsByTagName('strong')->item(0)->nodeValue;
                }
                $title[] = $tmp;
            }
        }

        if (is_array($time) && is_array($title) && count($time) == count($title)) {
            $result = array_combine($time, $title);
        } else {
            $result['Error'] = _("Timeline for this channel/day does not exist.");
        }

        $result['channel'] = $this->channel;
        $result['date'] = $this->date;

        return $result;

    }
}
