<?php
/**
 * $Horde: watson/lib/Driver.php,v 1.15 2007/02/21 10:25:28 jan Exp $
 *
 * Driver for Watson.
 * Parses the source page and returns array.
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Jan Zagar <jan.zagar@siol.net>
 */
class Watson_rtvslo extends Watson {

    function __construct($chan, $date = '')
    {
        $this->channel = $chan;
        $this->date = $date;
        $this->cache = $chan . $date;
    }

    function parse()
    {
        $xml = $this->xmlSource();
        if ($xml instanceof PEAR_Error) {
            return $xml;
        }

        if ($xml) {
            require WATSON_BASE . '/config/sources.php';
            $chan_root = $chan[$this->channel]['xml']['channel_root'];
            $chan_xml = $chan[$this->channel]['xml']['channel_xml'];
            $date_xml = $chan[$this->channel]['xml']['date_xml'];
            $time_xml = $chan[$this->channel]['xml']['time_xml'];
            $title_xml = $chan[$this->channel]['xml']['title_xml'];
            $description_xml = $chan[$this->channel]['xml']['description_xml'];
            $next_xml = $chan[$this->channel]['xml']['next_xml'];

            if ($chan_root) {
                $schedules = $xml->getElementsByTagName($chan_root);
            } else {
                $schedules = false;
            }

            if ($chan_xml) {
                $chan = $xml->getElementsByTagName($chan_xml)->item(0)->nodeValue;
            } else {
                $chan = '';
            }

            if ($date_xml) {
                $date = $xml->getElementsByTagName($date_xml)->item(0)->nodeValue;
            } else {
                $date = '';
            }

            if ($schedules) {

                foreach( $schedules as $watson ) {

                    if ($time_xml) {
                        $times = $watson->getElementsByTagName($time_xml);
                        $time = $times->item(0)->nodeValue;
                        $time = strtotime($time);
                        $time = date('H:i', $time);
                    } else {
                        $time = '';
                    }

                    if ($title_xml) {
                        $titles = $watson->getElementsByTagName($title_xml);
                        $title = $titles->item(0)->nodeValue;
                    } else {
                        $title = '';
                    }

                    if ($description_xml) {
                        $descriptions = $watson->getElementsByTagName($description_xml);
                        $description = @$descriptions->item(0)->nodeValue;
                        $description = substr($description, 9, -3);
                    } else {
                        $description = false;
                    }

                    if ($next_xml) {
                        $nexts = $watson->getElementsByTagName($next_xml);
                        $next = @$nexts->item(0)->nodeValue;
                        $next = substr($next, 9, -3);
                    } else {
                        $next = false;
                    }

                    if ($time && $title) {
                        $result[$time] = $title;
                    }

                    if ($description) {
                        $result['description'][$time] = $description;
                    }

                    if ($next) {
                        $result['next'][$time] = $next;
                    }
                }
            }

            if (empty($result)) {
                $result['Error'] = _("Timeline for this channel/day does not exist.");
            }

            $result['date'] = $date;
            $result['channel'] = $chan;

            return $result;
        }
    }
}