<?php
/**
 * Watson base application file.
 *
 * $Horde: watson/lib/base.php,v 1.16 2007/02/21 10:25:28 jan Exp $
 *
 * This file brings in all of the dependencies that every Watson script will
 * need, and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an auto_prepend_file
// definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (($pushed = $registry->pushApp('watson', !defined('AUTH_HANDLER'))) instanceof PEAR_Error) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect();
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('WATSON_TEMPLATES', $registry->get('templates'));

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Define the base file path of Watson.
@define('WATSON_BASE', dirname(__FILE__) . '/..');

// Cache
require_once 'Horde/Cache.php';
$GLOBALS['cache'] = &Horde_Cache::singleton($GLOBALS['conf']['cache']['driver'],
                                            Horde::getDriverConfig('cache', $GLOBALS['conf']['cache']['driver']));
// Watson driver
require_once WATSON_BASE . '/lib/Driver.php';

// Watson base library
require_once WATSON_BASE . '/lib/Watson.php';

// Start output compression.
Horde::compressOutput();
